; update cat art
; DE = score table
; HL = cat art address
.CAT_Update

	ld BC,32*14
	add HL,BC
	inc HL
	inc HL
	inc HL

	ld B,10
.CAT_UpdateLoop
	push BC
	push HL
	
;copy score , full continue
	push HL
	ld B,6
	ld C,48
	call copy_str
	pop HL
	
	ld BC,32*2
	add HL,BC
	
	ld B,6
	ld C,32
	call copy_str
	inc HL
	ld B,1
	call copy_str
	
	
	

	
	pop HL
	ld BC,5*32
	add HL,BC
	
	inc DE
	
	pop BC
	djnz CAT_UpdateLoop
	
	ret
	
.copy_str
	ld A,(DE)
	add C
	ld (HL),A
	inc HL
	inc DE
	djnz copy_str
	ret